libapache2-mod-perl2 (2.0.11-1ubuntu2) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 08:02:47 +0000

libapache2-mod-perl2 (2.0.11-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Oct 2019 08:07:29 +0200

libapache2-mod-perl2 (2.0.11-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Enable (parts of) autopkgtest-pkg-perl.
  * Update debian/tests/control to match the one generated by autodp8.

  [ Damyan Ivanov ]
  * New upstream version 2.0.11
  * drop patches applied upstream.
    260_fix_pipelined_response_deadlock.patch
    370_http_syntax.patch
    380_inject_header_line_terminators.patch
    CVE-2011-2767.patch
  * rebase 030-apxs-no-prefix.patch
  * refresh line numbers in two patches
  * use https in the d/watch URL for apache.org
  * declare conformance with Policy 4.4.1 (no changes needed)
  * replace build path in BuildConfig.pm with /build to help reproducibility.
  * override another spelling mistake false positive

 -- Damyan Ivanov <dmn@debian.org>  Sun, 13 Oct 2019 16:06:30 +0000

libapache2-mod-perl2 (2.0.10-3ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Feb 2019 12:49:53 +0100

libapache2-mod-perl2 (2.0.10-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Patches:
    - update format of 0001-Skip-* and 370_http_syntax.patch
    - use short link for bugs.d.o in honour-env-LDFLAGS.patch
    - update offset in avoid-db-linkage.patch
    - add new spelling errors in 200_fix-pod-spelling-errors.patch
  * Apache2 license:
    - update Apache2 license link
    - add required NOTICE file in docs
  * dependencies:
    - remove useless dependency version to apache2-dev
    - remove dh-apache2 from dependencies (alias to apache2-dev)
  * Add myself to uploaders
  * Declare compliance with policy 4.1.5
  * Bump debhelper compatibility to 10
  * Add debian/upstream/metadata
  * Remove useless --parallel option in debian/rules
  * Remove useless Testsuite entry
  * Email change: Xavier Guimard -> yadd@debian.org

  [ Dominic Hargreaves ]
  * [SECURITY] CVE-2011-2767: don't allow <Perl> sections in
    user controlled configuration (Closes: #644169)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 15 Nov 2018 19:25:41 +0000

libapache2-mod-perl2 (2.0.10-2ubuntu5) disco; urgency=medium

  * SECURITY UPDATE: arbitrary perl code execution via .htaccess file
    - debian/patches/CVE-2011-2767.patch: only allow perl and pod sections
      in server configuration and not per directory in
      src/modules/perl/mod_perl.c.
    - CVE-2011-2767

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 15 Nov 2018 08:55:38 -0500

libapache2-mod-perl2 (2.0.10-2ubuntu4) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 19:45:30 -0600

libapache2-mod-perl2 (2.0.10-2ubuntu3) bionic; urgency=medium

  * No-change rebuild against perlapi-5.26.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Nov 2017 05:39:04 +0000

libapache2-mod-perl2 (2.0.10-2ubuntu2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Jul 2017 17:07:10 -0700

libapache2-mod-perl2 (2.0.10-2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable (LP: #1663425). Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 10 Feb 2017 13:42:32 -0800

libapache2-mod-perl2 (2.0.10-2) unstable; urgency=medium

  * Patch the test suite for Apache 2.4.24 compatibility.
    Thanks to Stefan Fritsch. (Closes: #849082)

 -- Niko Tyni <ntyni@debian.org>  Sun, 25 Dec 2016 11:51:10 +0200

libapache2-mod-perl2 (2.0.10-1ubuntu1) zesty; urgency=low

  * Merge with Debian, remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 07 Dec 2016 16:47:58 +0000

libapache2-mod-perl2 (2.0.10-1) unstable; urgency=medium

  * Import new upstream release.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Fri, 28 Oct 2016 13:55:13 +0300

libapache2-mod-perl2 (2.0.10~rc2-1) experimental; urgency=medium

  * Import new upstream release candidate.
    + drop Perl 5.22 compatibility patches, applied upstream
  * Upload to experimental.

 -- Niko Tyni <ntyni@debian.org>  Sun, 16 Oct 2016 22:30:53 +0300

libapache2-mod-perl2 (2.0.9-6) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Damyan Ivanov ]
  * replace usage of 'prename' with 'file-rename' and add explicit build
    dependency on 'rename' (Closes: #825430)
  * rules: pass CPPFLAGS to the build
  * refresh patches to apply cleanly
  * Patch Apache2::Build to add LDFLAGS to ldopts() result (Closes: #823967)
  * Claim conformance with Policy 3.9.6

 -- Damyan Ivanov <dmn@debian.org>  Sun, 29 May 2016 12:46:55 +0000

libapache2-mod-perl2 (2.0.9-5) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * Simplify BTS URL.

  [ Niko Tyni ]
  * Skip t/protocol/pseudo_http.t, incompatible with Apache >= 2.4.20.
    (See #820824)

 -- Niko Tyni <ntyni@debian.org>  Tue, 10 May 2016 22:05:39 +0300

libapache2-mod-perl2 (2.0.9-4ubuntu2) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 17:03:36 +0100

libapache2-mod-perl2 (2.0.9-4ubuntu1) xenial; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 18 Dec 2015 13:06:54 +0000

libapache2-mod-perl2 (2.0.9-4) unstable; urgency=medium

  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sun, 06 Dec 2015 22:46:28 +0000

libapache2-mod-perl2 (2.0.9-3) experimental; urgency=medium

  * Update Perl 5.22 patch to version from mod_perl subversion (r1717474)
  * Upload to experimental.

 -- Dominic Hargreaves <dom@earth.li>  Wed, 02 Dec 2015 14:31:55 +0000

libapache2-mod-perl2 (2.0.9-2) experimental; urgency=low

  * Fixes for the "reproducible builds" effort:
    + Set LC_ALL=C instead of just LANG to fix test failures in some locales
      (Closes: #795730)
    + Make the generated documentation not vary with filesystem ordering
      (Closes: #801520)
  * Fix arch-indep-only builds (Closes: #806053)
  * Perl 5.22 compatibility changes:
    + small test suite tweaks from upstream r1702195 and r1702395
    + work-in-progress upstream patch removing modification of Perl's
      internal magic virtual tables, which were made read-only in Perl 5.22
      (Closes: #787493)
  * Add a hopefully temporary lintian override for
    apache2-module-depends-on-real-apache2-package apache2-bin
    until lintian gets fixed (see #796285).
  * Upload to experimental.

 -- Niko Tyni <ntyni@debian.org>  Mon, 30 Nov 2015 21:18:46 +0200

libapache2-mod-perl2 (2.0.9-1ubuntu1) wily; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.
  * Fixes FTBFS in Wily.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 15 Oct 2015 11:11:58 +0000

libapache2-mod-perl2 (2.0.9-1) unstable; urgency=medium

  * Import new upstream release 2.0.9.
  * Build with -fgnu89-inline to fix problems with gcc-5.
    (Closes: #777935)

 -- Niko Tyni <ntyni@debian.org>  Wed, 01 Jul 2015 23:50:38 +0300

libapache2-mod-perl2 (2.0.9~rc2-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Update download URL for mod_perl in debian/copyright. Thanks DUCK!

  [ Niko Tyni ]
  * Imported Upstream release candidate 2.0.9 RC2.

 -- Niko Tyni <ntyni@debian.org>  Mon, 01 Jun 2015 21:38:44 +0300

libapache2-mod-perl2 (2.0.9~rc1-1) unstable; urgency=medium

  * Import upstream release candidate 2.0.9 RC1
    + remove four patches integrated upstream

 -- Niko Tyni <ntyni@debian.org>  Thu, 14 May 2015 09:27:00 +0300

libapache2-mod-perl2 (2.0.9~1624218-2ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 13:53:40 +0000

libapache2-mod-perl2 (2.0.9~1624218-2) unstable; urgency=medium

  * Add autopkgtest support.
  * Fix missing symbols in APR.so. (Closes: #765174)

 -- Niko Tyni <ntyni@debian.org>  Wed, 15 Oct 2014 09:32:20 +0300

libapache2-mod-perl2 (2.0.9~1624218-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Niko Tyni ]
  * Imported upstream snapshot from to-be version 2.0.9 trunk, revision
    1624218
    + remove five patches integrated upstream.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Sun, 28 Sep 2014 11:20:12 +0300

libapache2-mod-perl2 (2.0.9~1604013-2) experimental; urgency=medium

  * Fix intermittent failures in t/apache/read3.t. (Closes: #697682)
  * Fix invalid code in modperl_env.c that was the root cause of
    the gcc-4.9 breakage. Thanks to Matthias Klose and Richard Biener.
    (Closes: #757240)
    + enable the tree-dse GCC optimization again.

 -- Niko Tyni <ntyni@debian.org>  Sat, 09 Aug 2014 17:00:30 +0300

libapache2-mod-perl2 (2.0.9~1604013-1) experimental; urgency=medium

  [ Damyan Ivanov ]
  * Imported Upstream snapshot from to-be version 2.0.9 trunk, revision
    1604013
    + update upstream source description in README.source
  * drop 280-ignore-sysconf-for-defines.patch, applied upstream
  * refresh all patches to apply cleanly some hunks are just dropped as
    upstream has them
  * drop 320-cleanup-authn-authz-providers.patch, applied upstream

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 3.9.5.
  * Drop 370-Fix-t-directive-perlloadmodule2.t.patch, was taken from
    upstream.

  [ Niko Tyni ]
  * Drop 290-httpd-transition-test-todo.patch, issue fixed upstream.
    (Closes: #710327)
  * Fix builds with gcc -O0 (DEB_BUILD_OPTIONS=noopt) by defining
    MP_IN_XS in APR and APR/PerlIO builds. (Closes: #756989)
  * Fix t/compat/conn_rec.t failures by restoring httpd-2.4 compatibility
    in lib/Apache2/compat.pm.
  * Mark failing tests in t/perl/ithreads3.t as TODO for now; they are
    not a regression from previous releases.
  * Drop 300-http-headers-version.patch in favour of the upstream fix.
  * Drop 310-defaultruntimedir.patch, applied upstream.
  * Clean up obsolete complications in debian/rules.
    + don't dump the error log after test failures, it was never very
      useful and causes more trouble than it's worth. (See #711167)

 -- Niko Tyni <ntyni@debian.org>  Thu, 07 Aug 2014 20:42:34 +0300

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-9ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Aug 2014 11:29:34 +0100

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-9) unstable; urgency=medium

  * Build with gcc-4.9 again. (Closes: #754901)
    + work around gcc-4.9 breakage by disabling the tree-dse
      optimization for modperl_env_table_populate().

 -- Niko Tyni <ntyni@debian.org>  Wed, 06 Aug 2014 16:02:28 +0300

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-8) unstable; urgency=medium

  * Add two upstream patches fixing test suite problems with Perl 5.20.
    (Closes: #750240)

 -- Niko Tyni <ntyni@debian.org>  Wed, 16 Jul 2014 21:07:37 +0300

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-7) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Daniel Lintott ]
  * Update debian/watch with correct URL for apache.org
  * Add dversion mangle to remove +httpd24-r... suffix

  [ Damyan Ivanov ]
  * add libcgi-pm-perl to b-d, in-core version is deprecated in 5.20
  * rules: replace hard-coded usr/lib/perl5 with the value of
    $Config{vendorarch} preparing for perl 5.20

  [ gregor herrmann ]
  * Build with gcc-4.8 for the time being to work around problem with
    gcc-4.9. (Closes: #754308)
  * Add patch to make Linux::Pid conditional in Apache::SizeLimit. Thanks
    to Guillem Jover for the patch. (Closes: #684290)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jul 2014 15:36:53 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-6ubuntu2) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:52:00 +0100

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-6ubuntu1) saucy; urgency=low

  * Merge with Debian, remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Oct 2013 20:16:04 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-6) unstable; urgency=low

  [ gregor herrmann ]
  * Add patch from Jorge Manuel B. S. Vicetto to adjust test module
    configuration to mod_authz_core changes in 2.4. Currently disabled since
    it doesn't seem to be needed during Debian builds.
  * Add patch from Jorge Manuel B. S. Vicetto to handle mod_rewrite
    changes in apache 2.4.
    Load rewrite_module in debian/apache2.conf.
  * Drop lintian override (spelling-error-in-binary).
    lintian 2.5.14 ignores "teH" in ELF binaries.

  [ Ivan Kohler ]
  * Add patch from Michael Schout to add a conditional define for Apache 2.4
    (-D APACHE24) to Apache::Test, from
    https://rt.cpan.org/Public/Bug/Display.html?id=87620
  * Add myself to Uploaders:

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 06 Aug 2013 21:53:01 -0700

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-5ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Jul 2013 20:50:59 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-5) unstable; urgency=low

  * Update debian/patches/280-ignore-sysconf-for-defines.patch not
    to unnecessarily use explicit configuration file and server root
    for running 'apache2 -l'
  * Update debian/patches/030-apxs-no-prefix.patch to fall back to
    SYSCONFDIR when PREFIX fails.
  * Include the contents of t/logs/error_log in the build log
    if the test suite fails, to debug #711167 on ia64.

 -- Niko Tyni <ntyni@debian.org>  Wed, 19 Jun 2013 23:26:43 +0300

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-4) unstable; urgency=low

  * Add 320-cleanup-authn-authz-providers.patch from Niko Tyni.
    The patch makes sure authn and authz providers are cleaned up in time by
    registering them in the configuration pool rather than the server process
    pool.
    Thanks to Stefan Fritsch for suggesting the fix. (Closes: #711213)
  * Update lintian override (false positive spelling-error).

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Jun 2013 17:29:02 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-3) unstable; urgency=low

  * Add a patch to handle a test failure with newer HTTP::Headers.
    Thanks to Niko Tyni for the analysis. (Closes: #710873)
  * Load the mod_auth_digest module in debian/apache2.conf and remove the
    TODOs from the t/hooks/authen_digest.t in debian/patches/290-httpd-
    transition-test-todo.patch.
    This addresses parts of #710327. Thanks to Niko Tyni for the pointer.
  * After loading mod_auth_digest, the tests behave differently. Tests in
    ModPerl-Registry/ and Apache-Reload/ are now run by dh_auto_test.
    Adjust debian/rules.
  * The newly run tests in ModPerl-Registry/ and Apache-Reload/ need
    DefaultRuntimeDir set, otherwise mod_auth_digest tries to write to
    /var/run and fails. Add patch 310-defaultruntimedir.patch:
    Set DefaultRuntimeDir in the created apache config for Apache::Test in
    Apache-Test/lib/Apache/TestConfig.pm.
    Thanks to Niko Tyni for his help in teaking this patch.

 -- gregor herrmann <gregoa@debian.org>  Tue, 04 Jun 2013 19:01:10 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-2) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Credit for the Apache 2.4 patch (from the upstream httpd24 branch)
    applied in this and the previous release goes to Jan Kaluza

  [ gregor herrmann ]
  * Upload to unstable now that apache 2.4.4-4 is there.
    Closes: #666822
  * Add a lintian override for non-standard-apache2-module-package-name.
    lintian is technically right, but changing the name after 13 years
    doesn't sound appealing.
  * Add a lintian override for spelling-error-in-binary. The string is
    nowhere in the code.

 -- gregor herrmann <gregoa@debian.org>  Fri, 31 May 2013 00:49:37 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-1) experimental; urgency=low

  [ gregor herrmann ]
  * New upstream release.

  [ Niko Tyni ]
  * First steps at Apache 2.4 support. Upstream doesn't currently support
    2.2 and 2.4 with the same codebase, so we don't even try. dh_apache2
    now does most of the heavy lifting, we don't need special maintainer
    scripts anymore.
  * Revisit Makefile.PL arguments. MP_APR_CONFIG is now necessary,
    MP_INCLUDE_DIR and MP_APXS can be removed.
  * Remove gtop linkage and MP_USE_GTOP. Nobody seems to know anymore why
    libgtop was needed, so this seems a good time to drop it.
  * Supply a list of Apache modules needed for the test suite. We used to
    get these from /etc/apache2, but this is much more robust. Also, when
    using the test directory as server root, Apache seems to require
    existing run/ and logs/ directories, so create them when necessary.
  * Remove a possible leftover core file before the install phase, as the
    build system complains rather excessively about those.
  * Run "httpd -V" with the test config and server root if available. The
    system configuration may not be available to the user building
    mod_perl, or may depend on special environment variables or the like,
    so try to bypass the system configuration altogether.
  * Improve the "clean" target.
  * Run the ModPerl-Registry tests too. TODO: the test suite still looks
    for /etc/apache2/httpd.conf

  [ gregor herrmann ]
  * Refresh patches. Drop 250-lfs-perl-5.14.patch.
  * Add notes to debian/README.source about the tarball creation.
  * Set Standards-Version to 3.9.4 (no changes).
  * debian/control: drop explicit build dependency on autodie. autodie is
    in perl core since 5.10.1, which is available in oldstable.

  [ Dominic Hargreaves ]
  * Add Build-Depends on apache2, which is needed for the test suite
  * Mark individual failing tests as TODO for now. We can't fix these for
    the Apache 2.4 transition

 -- Dominic Hargreaves <dom@earth.li>  Thu, 30 May 2013 00:07:54 +0100

libapache2-mod-perl2 (2.0.8-1) unstable; urgency=low

  * watch: add alternative URL on metacpan.org
  * Imported Upstream version 2.0.8
    Closes: #708591 -- libapache2-mod-perl2: FTBFS with perl 5.18: hashing
    updates
    + Drop 270_fix_hash_attack_test.patch since the problem is fixed upstream
    + refresh other patches to apply cleanly

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 May 2013 17:46:10 +0300

libapache2-mod-perl2 (2.0.7-3) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ Dominic Hargreaves ]
  * Fix FTBFS with versions of perl including the CVE-2013-1667
    fix (Closes: #702821)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 12 Mar 2013 20:06:02 +0000

libapache2-mod-perl2 (2.0.7-2ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2013 10:06:28 +0000

libapache2-mod-perl2 (2.0.7-2) unstable; urgency=low

  * Apply patch from Zefram fixing occasional FTBFS due to
    pipelined response deadlock (Closes: #676754)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 05 Jan 2013 18:27:29 +0000

libapache2-mod-perl2 (2.0.7-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian (LP: #1071529).  Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Nov 2012 23:08:38 +0000

libapache2-mod-perl2 (2.0.7-1) unstable; urgency=low

  * New upstream release
    - fixes FTBFS with perl 5.16 (Closes: #676269)
  * Partially revert change which removes Apache::Sizelimit::Core
    as this is still needed (Closes: #661370)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 07 Jun 2012 18:51:16 +0100

libapache2-mod-perl2 (2.0.6-2) unstable; urgency=low

  * debian/rules: run dh_auto_test with --max-parallel=1.
    This avoids build failures with -jN and build-arch.
  * debian/copyright: update to Copyright-Format 1.0.
  * Update packaging copyright years.

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 May 2012 23:54:34 +0200

libapache2-mod-perl2 (2.0.6-1) unstable; urgency=low

  * New upstream release
    - rebase/drop some patches

 -- Dominic Hargreaves <dom@earth.li>  Sat, 19 May 2012 20:49:39 +0100

libapache2-mod-perl2 (2.0.5-6) unstable; urgency=low

  * Bump debhelper compat level to 9
  * Apply patch from Niko Tyni fixing FTBFS with -Werror=format-security
    (Closes: #661540)
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 01 Apr 2012 16:25:22 +0100

libapache2-mod-perl2 (2.0.5-5ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2012 13:15:20 +0100

libapache2-mod-perl2 (2.0.5-5ubuntu1) precise; urgency=low

  [ Chuck Short ]
  * Merge from Debian testing.  Remaining changes:
    - Change locales-all to locales. (LP: #184206)
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2012 08:48:30 -0500

libapache2-mod-perl2 (2.0.5-5) unstable; urgency=low

  [ gregor herrmann ]
  * Remove build dependency on libcompress-zlib-perl, Compress::Zlib is in
    perl core since 5.9.3.

  [ Dominic Hargreaves ]
  * Add Build-Conflicts on apache2-mpm-event (marked as experimental)
    since it causes this package to FTBFS (Closes: #652331)
  * Add patches from Niko fixing reference counting bugs when using perl
    5.14 (Closes: #650675)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 14 Jan 2012 18:50:42 +0000

libapache2-mod-perl2 (2.0.5-4ubuntu2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:34:46 -0700

libapache2-mod-perl2 (2.0.5-4ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Change locales-all to locales. (LP: #184206)
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 16 Nov 2011 09:53:30 +0000

libapache2-mod-perl2 (2.0.5-4) unstable; urgency=low

  * Add patch from upstream svn adopting the Perl_sv_dup() changes in
    Perl 5.14
  * Don't strip LFS CFLAGS in lib/Apache2/Build.pm any more
    (Closes: #636651)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 13 Nov 2011 15:14:12 +0000

libapache2-mod-perl2 (2.0.5-3ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Change locales-all to locales. (LP: #184206)
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Sat, 29 Oct 2011 10:51:46 +0100

libapache2-mod-perl2 (2.0.5-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Niko Tyni ]
  * Improve the test suite coverage (again) with a typo fix. The
    APACHE_TEST_EXTRA_ARGS setting in debian/rules was introduced in
    2.0.3-5 to improve the test suite coverage, but got accidentally
    disabled later with 2.0.5-1 due to a missing line continuation.
    Closes: #646267

  [ gregor herrmann ]
  * Bump debhelper compatibility level to 8.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Oct 2011 23:35:26 +0200

libapache2-mod-perl2 (2.0.5-2ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 Jun 2011 19:31:06 +0000

libapache2-mod-perl2 (2.0.5-2) unstable; urgency=low

  * Team upload.
  * Add 230-test-failures-fix.patch. Fixes for the testsuite to be
    compatible with >= LWP + HTTP:Headers 6.0. (LP: #797716),
    (Closes: #628296).

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 16 Jun 2011 14:56:44 +0200

libapache2-mod-perl2 (2.0.5-1ubuntu2) oneiric; urgency=low

  * Drop dwww from a recommends to a suggests to avoid pulling this into
    main.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 Jun 2011 06:40:27 +0000

libapache2-mod-perl2 (2.0.5-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Change locales-all to locales. (LP: #184206)
  * debian/patches/230-test-failures-fix.patch: Fixes for the testsuite to be
    compatible with >= LWP + HTTP:Headers 6.0.  Resolves FTBFS due to testsuite
    failure.  Patch cherry picked from upstream commits. (LP: #797716)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 15 Jun 2011 14:31:02 +0100

libapache2-mod-perl2 (2.0.5-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * Added myself to Uploaders
  * Upped debian compatibility level to 7, migrated to source format '3.0
    (quilt)' and removed quilt
  * Refreshed debian/rules
  * Upped standards version to 3.9.2
  * Added versioning of depdendency between dev and core packages
  * Registered documents with doc-base
    - Adding todo files to doc package
    - Added dwww as a recommendation to doc package
    - Transformed .pod files to indexed HTML files (Closes: #507279)
    - Copied .png files and added them to the HTML index
  * New upstream release
  * Reviewed patches
    - Removed 009_allow_parallel_build.patch [applied upstream]
    - Removed 100-svn-XSS-Status.patch [applied upstream]
    - Removed 110-Fix-two-uninitialized-....patch [applied upstream]
    - Removed 035-testrequest_add_credentials.patch [applied upstream]
    - New lintian version requires new correctons
  * Email change: Andres Salomon -> dilinger@debian.org
  * Refreshed copyright
  * Reviewed dependencies
  * Installed gdb scripts to examples for dev package

  [ Damyan Ivanov ]
  * add avoid-db-linkage.patch: avoids needless linking with libdb, which
    entangles us in libdb transitions. Closes: #621415
  * rules: pass --parallel to dh command allowing parallel builds
  * rules: pass CFLAGS to upstream make as MODPERL_OPTIMIZE, allowing
    dpkg-buildpackage-induced CFLAGS to end up on the compiler command line
  * drop libgdbm-dev from B-D

 -- Damyan Ivanov <dmn@debian.org>  Tue, 19 Apr 2011 09:47:07 +0300

libapache2-mod-perl2 (2.0.4-7ubuntu2) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 08 May 2011 07:35:47 +0100

libapache2-mod-perl2 (2.0.4-7ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Change locales-all to locales. (LP: #184206)
    - Don't ignore testsuite failures on armel anymore.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 May 2010 02:31:07 +0100

libapache2-mod-perl2 (2.0.4-7) unstable; urgency=low

  * change source Section to 'httpd'
  * add a patch from Niko Tyni avoiding two warnings about use of uninitialized
    values, which break tests under Perl 5.12. (Closes: #578481)
  * add a patch fixinf spelling errors in POD and other documentation
  * add a patch fixinng POD errors
  * add a patch fixing bad manpage whatis name
  * Standards-Version: 3.8.4
    + support 'nockeck' in DEB_BUILD_OPTIONS as per Policy 3.8.1
  * describe all patches

 -- Damyan Ivanov <dmn@debian.org>  Wed, 21 Apr 2010 12:48:11 +0300

libapache2-mod-perl2 (2.0.4-6ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: LP: #516430
    - Change locales-all to locales. (LP: #184206)
    - Don't ignore testsuite failures on armel anymore.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Wed, 03 Feb 2010 12:25:44 +0530

libapache2-mod-perl2 (2.0.4-6) unstable; urgency=high

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.

  [ Dario Minnucci ]
  * docs/index_top.html: Issued patch 099-fix-url-on-index_top.patch
    to fix link URL. (Closes: #507606)

  [ Damyan Ivanov ]
  * add 100-svn-XSS-Status.patch; fixes XSS in Apache2::Status (CVE-2009-0796)
    Patch taken from r760926 of upstream SVN.
    Closes: #567635
  * .docs: drop debian/NEWS.Debian and Changes
  * -doc: depend on ${misc:Depends}
  * drop debian/NEWS (documents changes before oldstable)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Jan 2010 18:00:43 +0200

libapache2-mod-perl2 (2.0.4-5ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change locales-all to locales. (LP: #184206)
  * Don't ignore testsuite failures on armel anymore.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Jan 2009 18:11:43 +0100

libapache2-mod-perl2 (2.0.4-5) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Damyan Ivanov ]
  * add 010-doc-no-more-send_http_header.patch removing a forgotten
    send_http_header that is no nonger available in Registry.pod
    Closes: #507821 -- Can't locate object method "send_http_header" via
                       package "Apache2::RequestRec"

  [ gregor herrmann ]
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Gunnar Wolf ]
  * Added conditional dependency on libapache2-mpm-itk (together with
    apache2). (Closes: #508910)
  * Added patch which created a FTBFS with the libwww-perl 5.813 to 5.820
    update (acknowledged upstream, will be included in next release)
    (Closes: #509457)
  * reordered debian/patches/series to match reality

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 26 Dec 2008 19:38:28 -0600

libapache2-mod-perl2 (2.0.4-4ubuntu2) jaunty; urgency=low

  * Ignore test results on armel (2 test failures) for a first build
    on this architecture.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Dec 2008 08:33:32 +0100

libapache2-mod-perl2 (2.0.4-4ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change locales-all to locales. (LP: #184206)

 -- Mathias Gug <mathiaz@ubuntu.com>  Mon, 10 Nov 2008 22:42:23 -0500

libapache2-mod-perl2 (2.0.4-4) unstable; urgency=medium

  [ Frank Lichtenheld ]
  * Convert debian/copyright to proposed new format.
  * Refer to Apache License in /usr/share/common-licenses.
  * Bump Standards-Version to 3.8.0.

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

  [ Damyan Ivanov ]
  * add dependency on apache2 (>= 2.2.4) because of the new
    ap_get_server_banner symbol not available in previous apaches
    Closes: #503375: libapache2-mod-perl2 - Uses undefined symbol
                     ap_get_server_banner
    Thanks to Bastian Blank for reporting.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 31 Oct 2008 14:00:39 +0200

libapache2-mod-perl2 (2.0.4-3) unstable; urgency=low

  * Add an alternative (and preferred) build-dependency on
    perl-modules (>= 5.10.0-14) to the libcgi-pm-perl one.
    This works around an sbuild bug (#395271) on the buildds.
    (Closes: #494677)

 -- Niko Tyni <ntyni@debian.org>  Mon, 15 Sep 2008 21:04:52 +0300

libapache2-mod-perl2 (2.0.4-2) unstable; urgency=medium

  * add explicit build-dependency on libcgi-pm-perl (>= 3.33) as the version
    of CGI.pm shipped in perl-modules fails with a taint failure when handling
    uploads. Thanks to Niko Tyni for the investigation.
    Closes: #480154 -- FTBFS on mips (cgiupload tests fail)
    - bump urgency to medium

 -- Damyan Ivanov <dmn@debian.org>  Mon, 11 Aug 2008 12:27:28 +0300

libapache2-mod-perl2 (2.0.4-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable (LP: #230016), remaining changes:
    - Change locales-all to locales. (LP: #184206)
  * debian/control:
    - Update Maintainer and VCS-* fields.

 -- Mathias Gug <mathiaz@ubuntu.com>  Thu, 05 Jun 2008 19:21:01 -0400

libapache2-mod-perl2 (2.0.4-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * New upstream release. Support to Perl 5.10 added. Closes: #479240
  * Apache2::Reload was split in its own CPAN module, add
    libapache2-reload-perl to Recommends
  * Drop patches applied upstream
    + 005-regex-DoS-bug-433549.patch
    + 013-test-apache-status.patch
    + 015-nonvoid-return.patch
  * Drop Perl 5.10 related patches that are not needed now that upstream
    supports 5.10
    + 010-svn-fix-bleadperl.patch
    + 011-svn-fix-perl5.10-build.patch
    + 012-svn-more-perl5.10-fixes.patch

  [ Niko Tyni ]
  * 008_fix_version_check_in_t_response_TestAPI_server_const_pm.patch:
    dropped, no longer needed.

  [ gregor herrmann ]
  * debian/copyright: deduct years of copyright from Changes.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 May 2008 00:43:47 +0200

libapache2-mod-perl2 (2.0.3-5) unstable; urgency=low

  * debian/rules: Improve the test suite coverage by setting
    APACHE_TEST_EXTRA_ARGS="-httpd_conf /etc/apache2/apache2.conf"
    so that Apache::Test parses the right apache2 configuration file.
  * debian/patches/030-apxs-no-prefix.patch: fix a resulting warning
    from apxs2 looking for CFG_PREFIX, which is not set on Debian.
  * debian/patches/031-test-extra-args.patch: honour
    APACHE_TEST_EXTRA_ARGS with the top level test suite too.

 -- Niko Tyni <ntyni@debian.org>  Wed, 12 Mar 2008 23:15:59 +0200

libapache2-mod-perl2 (2.0.3-4) unstable; urgency=low

  * debian/patches/015-nonvoid-return.patch: make modperl_thx_interp_get()
    always return a value, fixing undefined behaviour that led to a SIGBUS
    on sparc (Closes: #468327).
  * debian/patches/010-svn-fix-bleadperl.patch: add a null pointer reference
    fix from upstream SVN r481237.

 -- Niko Tyni <ntyni@debian.org>  Wed, 12 Mar 2008 14:53:51 +0200

libapache2-mod-perl2 (2.0.3-3) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules: delete /usr/share/perl5 only if it exists.

  [ Frank Lichtenheld ]
  * debian/rules: Fix some typos and some dependencies
  * debian/patches/009-allow-parallel-build.patch: Fix Makefile.PL
    to allow parallel building. Fixes a misbuild with dpkg-buildpackage -j
    found by Daniel Schepler.
  * Standards-Version: 3.7.3 (no changes)
  * debhelper compatibility level 6

  [ Damyan Ivanov ]
  * add 011-svn-fix-perl5.10-build.patch. Closes: #462994
  * debian/rules:
    + replace debian/stamp-patched with $(QUILT_STAMPFN)
    + make install-stamp depend on build-stamp, not build
    + remove commented-out cdbs make rules
  * Use http://perl.apache.org/ for Homepage
  * Reformat NEWS.Debian, following DevRef 6.3.4. Thanks, lintian.
  * Drop "-1" revision from dependencies. Thanks, lintian.
  * Add copyright information to debian/copyright

  [ Niko Tyni ]
  * Don't ship an empty /usr/bin directory.
  * Fix the 'clean' target, broken when Makefile.PL got unpatched.
  * Add myself to Uploaders.
  * debian/patches:
    + remove those Debian patches included upstream from the source package,
      as they had not been applied since 2.0.3-1.
    + 010-svn-fix-bleadperl.patch: more Perl 5.10 fixes from upstream SVN.
    + 012-svn-more-perl5.10-fixes.patch: as above.
    + 013-test-apache-status.patch: make the apache_status.t test work with
      Perl 5.10 too. Upstream SVN r614146.

 -- Niko Tyni <ntyni@debian.org>  Wed, 27 Feb 2008 22:43:01 +0200

libapache2-mod-perl2 (2.0.3-2ubuntu2) hardy; urgency=low

  * Really change locales-all to locales, this change didn't make it
    into the preceding upload. (LP: #184206)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Feb 2008 09:30:41 +0000

libapache2-mod-perl2 (2.0.3-2ubuntu1) hardy; urgency=low

  * Change locales-all to locales. (LP: #184206)
  * Change standards version to 3.7.3.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 21 Jan 2008 08:45:06 -0500

libapache2-mod-perl2 (2.0.3-2) unstable; urgency=low

  [ Damyan Ivanov ]
  * Upload to unstable
    + Closes: #401737 -- Please package latest libapache2-mod-perl2
      - Closes: #398675 -- Rejects configuration in a Perl configuration
                           section that works fine as a regular configuration
                           directive
      - Closes: #399639 -- Data pushed onto @PerlSections is ignored
    + Closes: #406742 -- clean rule does not clean properly
    + Closes: #357438 -- Apache2::Resource uses BSD::Resource

  [ Gunnar Wolf ]
  * Added netbase to build-dependencies, fixing FTBFS (Closes: #439281)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 29 Aug 2007 11:38:42 +0200

libapache2-mod-perl2 (2.0.3-1) experimental; urgency=low

  * New upstream release
    + refreshed patches
      001-gtop2.patch
      004-bugs-to-debian-bts.patch
      005-regex-DoS-bug-433549.patch
      006_man_section_and_build_warnings.patch - one hunk dropped
    + dropped patches applied upstream
      002-crash-404051.patch -- applied upstream
      003-segfault-local-ENV-bug-384622.patch -- applied upstream
      007_test_head_content_length_on_empty_content_2.2.patch -- upstream
      contains better fix
  * Add dh_slibdeps to arch-dep target
  * Wrapped (Build-)Depends lists
  * Add testing to the build process
    + Added apache2, libcompress-zlib-perl and libbsd-resource-perl to
      Build-Depends to allow tests to be run on buildds
    + Put LANG=C in front of '$(MAKE) test' to avoid locale side effects (in
      dates etc)
    + Add locales-all to Build-Depends, since some of the tests need that
    + Add new 008_fix_version_check_in_t_response_TestAPI_server_const_pm.patch
      to fix the server_const test
    + Fail if $(MAKE) test fails
    + Add cleaning after tests to clean target

 -- Damyan Ivanov <dmn@debian.org>  Wed, 22 Aug 2007 13:12:39 +0300

libapache2-mod-perl2 (2.0.2-6) UNRELEASED; urgency=low

  [ Gunnar Wolf ]
  * Added recommendation on libbsd-resource-perl (Closes: #357438)

  [ Damyan Ivanov ]
  * Transformed debian/rules from CDBS to debhelper
  * Converted patches from simple-patchsys to quilt
    Added quilt to Build-Depends
  * Add 007_test_head_content_length_on_empty_content_2.2.patch to adapt the
    content_length test to apache2.2
  * Clean more files in clean target
  * Run $(MAKE) test, but don't abort if they fail
  * Add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Sun, 19 Aug 2007 19:12:34 +0300

libapache2-mod-perl2 (2.0.2-5) unstable; urgency=low

  * New Maintainer: the Debian pkg-perl group (Closes: #438168)
  * Updated copyright information including the copyright for the
    packaging information
  * Integrated the bugreport helper mp2bug to the /usr/share/bug way of
    life, so its output is automatically included in our users' reports
  * Bumping up standards-version from 3.6.1 to 3.7.2 (Only change
    needed: Moving mp2bug)
  * Added debian/watch
  * Moved libapache2-mod-perl2-doc to section: doc
  * the -dev and -doc generated binary packages are now arch: all
    insteaed of arch: any
  * Applied upstream patch fixing CVE-2007-1349 DoS caused by improperly
    quoted regex (Closes: #433549)
  * Moved the generated manpages from section 3 to 3pm
  * Finally, lintian- and linda-clean, yay! :D

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 17 Aug 2007 18:27:25 -0500

libapache2-mod-perl2 (2.0.2-2.4) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Drop /etc/apache2/mods-available/perl.conf as a conffile, since it no
    longer contains anything of relevance; instead, manually remove the file
    on purge if present, and in the preinst handle upgrading it to remove the
    automatically created bits that conflict with apache2.2 so that this
    conversion is done in time for the apache2.2-mpm-* configuration to run.
    Closes: #416231.

 -- Steve Langasek <vorlon@debian.org>  Tue, 27 Mar 2007 01:48:55 -0700

libapache2-mod-perl2 (2.0.2-2.3) UNRELEASED; urgency=high

  * Non-maintainer upload. Thanks to Kjetil Kjernsmo for noticing the issues.
  * Fix segfault if localizing %ENV. Closes: #384622
    Using patch from http://svn.apache.org/viewvc/perl/modperl/trunk/src/modules/perl/modperl_env.c?r1=158000&r2=357236&pathrev=357236
  * Fix typo in Apache2::SizeLimit that could cause crash. Closes: #404051

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 23 Dec 2006 17:10:47 +0000

libapache2-mod-perl2 (2.0.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make it build against libapr1 (Closes: #391750).

 -- Luk Claes <luk@debian.org>  Mon, 16 Oct 2006 22:58:01 +0200

libapache2-mod-perl2 (2.0.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against Apache 2.2. (Closes: #389053)
  * Update dependency on apache2-common to apache2.2-common.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun,  8 Oct 2006 23:23:28 +0200

libapache2-mod-perl2 (2.0.2-2) unstable; urgency=low

  * Add a dependency on netbase (closes: #354777).

 -- Andres Salomon <dilinger@debian.org>  Sun, 12 Mar 2006 21:22:51 +0000

libapache2-mod-perl2 (2.0.2-1) unstable; urgency=low

  * New upstream release (closes: #342114).

 -- Andres Salomon <dilinger@debian.org>  Fri, 20 Jan 2006 19:35:43 +0000

libapache2-mod-perl2 (2.0.1-4) unstable; urgency=low

  * The I'm-tired-of-maintaining-stuff-I-don't-use release.
  * Build pod docs in the package; thanks to
    Morten Bøgeskov <morten@bogeskov.dk> (closes: #329270).
  * Make perl.conf a bit more, umm, descriptive (closes: #323142).
  * Add a -doc package, include docs/ subdir in there (closes: #285588).
  * Kill a bashism in the postinst script.

 -- Andres Salomon <dilinger@debian.org>  Tue, 04 Oct 2005 00:36:16 -0400

libapache2-mod-perl2 (2.0.1-3) unstable; urgency=low

  * Grr.  Really include perl.conf file; it got lost due to diff not
    wanting to add an empty file.

 -- Andres Salomon <dilinger@debian.org>  Fri, 12 Aug 2005 01:40:38 -0400

libapache2-mod-perl2 (2.0.1-2) unstable; urgency=low

  * "'cause she's the cheese and I'm the macaroni."
  * Add empty perl.conf file, to override older one from 1.99*
    (closes: #308252, #315676).

 -- Andres Salomon <dilinger@debian.org>  Sat, 23 Jul 2005 05:24:18 -0400

libapache2-mod-perl2 (2.0.1-1) unstable; urgency=low

  * New upstream release.  No upstreams were harmed during the making
    of this package (closes: #307867).
  * Updated my email address.
  * Change perl build-dep version to >= 5.8.7-3, because I can.  Oh,
    and (closes: #308604).

 -- Andres Salomon <dilinger@debian.org>  Thu, 23 Jun 2005 00:28:07 -0400

libapache2-mod-perl2 (1.999.23-1) unstable; urgency=low

  * New upstream release

 -- Thom May <thom@debian.org>  Sun,  8 May 2005 15:36:04 +0100

libapache2-mod-perl2 (1.999.22-1) unstable; urgency=low

  * New upstream release
    NOTE: This release breaks API. Please see Changes for further details.

 -- Thom May <thom@debian.org>  Wed, 20 Apr 2005 08:52:13 +0000

libapache2-mod-perl2 (1.999.21-1) unstable; urgency=low

  * New upstream release
  * Add -dev package, thanks Steinar H. Gunderson (Closes: #257506)
  * Steal new ACL patch from HEAD (Closes: #296650)

 -- Thom May <thom@debian.org>  Mon,  4 Apr 2005 15:47:46 +0100

libapache2-mod-perl2 (1.999.20-1) unstable; urgency=low

  * New upstream release (closes: #285476).
  * Drop 003-int_offset_my_ass.patch, as it was merged.
  * New release doesn't include those fun arch files (closes: #277461).

 -- Andres Salomon <dilinger@voxel.net>  Mon, 10 Jan 2005 00:08:33 -0500

libapache2-mod-perl2 (1.99.14-4) unstable; urgency=high

  * Remove the LFS CFLAGS, and build-dep against apache2-*-dev (>= 2.0.50-10)
    as we're backing out of the apache2/apr ABI transition.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 19 Aug 2004 06:23:48 -0600

libapache2-mod-perl2 (1.99.14-3) unstable; urgency=medium

  * Add a patch to fix an upstream bug where we were passing offsets
    to apr functions using 'int' rather then 'apr_off_t'
  * Add "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" to CFLAGS.

 -- Adam Conrad <adconrad@0c3.net>  Tue, 17 Aug 2004 04:02:17 -0600

libapache2-mod-perl2 (1.99.14-2) unstable; urgency=medium

  * Rebuild against new apache2/libapr0, w/ updated
    build-deps (closes: #266185).

 -- Andres Salomon <dilinger@voxel.net>  Tue, 17 Aug 2004 01:10:41 -0400

libapache2-mod-perl2 (1.99.14-1) unstable; urgency=low

  * New upstream release
  * Ship perl.conf file with "PerlModule Apache2" in.
    (Closes: #240585, #242049, #235458)
  * Update copyright to new License
  * Using a2enmod to create symlinks (Closes: #247166)

 -- Thom May <thom@debian.org>  Sun,  4 Jul 2004 10:27:33 +0100

libapache2-mod-perl2 (1.99.12-4) unstable; urgency=low

  * Add a postinst/prerm that automatically enable/disable this module.
  * Update copyright file.

 -- Andres Salomon <dilinger@voxel.net>  Sun, 29 Feb 2004 02:46:41 -0500

libapache2-mod-perl2 (1.99.12-3) unstable; urgency=low

  * Better ACL compatibility patch, courtesy of Damon Buckwalter
    <damon@cryptomeme.com>.  (Closes: #230439)

 -- Andres Salomon <dilinger@voxel.net>  Fri, 13 Feb 2004 22:22:35 -0500

libapache2-mod-perl2 (1.99.12-2) unstable; urgency=low

  * Drop superfluous mod_perl manpage.  (Closes: #231871)
  * Add ACL compatibility patch.

 -- Andres Salomon <dilinger@voxel.net>  Tue, 10 Feb 2004 02:51:28 -0500

libapache2-mod-perl2 (1.99.12-1) unstable; urgency=low

  * New upstream release.
  * Drop 002-manpage_fix.patch (applied upstream).

 -- Andres Salomon <dilinger@voxel.net>  Sun, 08 Feb 2004 03:44:54 -0500

libapache2-mod-perl2 (1.99.11-2) unstable; urgency=low

  * Remove libapache-mod-perl conflicts.  (Closes: #223341)

 -- Andres Salomon <dilinger@voxel.net>  Sun, 14 Dec 2003 22:47:52 -0500

libapache2-mod-perl2 (1.99.11-1) unstable; urgency=low

  * New upstream release.  (Closes: #214073)
  * Move from experimental to unstable (*cross fingers*).
  * Convert build system to cdbs.
  * Update standards-version.
  * Fix TestTrace.pm manpage entry.  (Closes: #221771)

 -- Andres Salomon <dilinger@voxel.net>  Sat, 06 Dec 2003 19:23:29 -0500

libapache2-mod-perl2 (1.99.09-1) experimental; urgency=low

  * New upstream release.
  * Update (co-)maintainer email address.
  * Update standards-version.
  * Update build-deps (libgdbm{,g1}-dev and libgtop{1,2}-dev) and link rules.
  * Change reference to apxs back to apxs2.
  * No more examples?

 -- Andres Salomon <dilinger@voxel.net>  Sat, 26 Jul 2003 01:29:05 -0400

libapache2-mod-perl2 (1.99.08-1) experimental; urgency=low

  * New upstream release.  (Closes: #184301)
  * Add myself to the Uploaders field of control file.
  * Use newly renamed apache2 apxs.  (Closes: #182577)
  * Update apache2-dev build-dep to 2.0.45 (for apr-config --includedir).
  * Change lib/Apache/Build.pm to use apr-config instead of apxs
    for the location of apr stuff.
  * Force removal of a bunch of additional (generated) files in clean rule.
  * Additional args to Makefile.PL.
  * Make /etc/apache2/mods-available/perl.load a conffile.

 -- Andres Salomon <dilinger@mp3revolution.net>  Sat, 12 Apr 2003 03:28:38 -0500

libapache2-mod-perl2 (1.99.07-1) experimental; urgency=low

  * New Upstream Release
  * Uploading to experimental for now.
  * First cut at packaging.

 -- Thom May <thom@debian.org>  Wed, 23 Oct 2002 16:17:27 +0100
